## org.apache.lucene.search.payloads
Class PayloadSpanUtil

    java.lang.Object
      org.apache.lucene.search.payloads.PayloadSpanUtil

    public class PayloadSpanUtil

extends Object

Experimental class to get set of payloads for most standard Lucene queries. Operates like Highlighter - IndexReader should only contain doc of interest, best to use MemoryIndex.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`PayloadSpanUtil(IndexReader reader)`

Method Summary
`Collection<byte[]>` `getPayloadsForQuery(Query query)` Query should be rewritten for wild/fuzzy support.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PayloadSpanUtil

    public PayloadSpanUtil(IndexReader reader)

Parameters:
  `reader` - that contains doc with payloads to extract

Method Detail

### getPayloadsForQuery

    public Collection<byte[]> getPayloadsForQuery(Query query)
                                           throws IOException

  Query should be rewritten for wild/fuzzy support.

  Parameters:
    `query` -
  Returns:
    payloads Collection
  Throws:
    `IOException`